import { Component, ViewMount } from '@textbus/core';
import { DefineComponent, Ref, VNode } from 'vue';
import { DomAdapter } from '@textbus/platform-browser';
import { Injector } from '@viewfly/core';
export interface ViewComponentProps<T extends Component> {
    component: T;
    rootRef: Ref<Element | undefined>;
}
export interface VueAdapterComponents {
    [key: string]: DefineComponent<ViewComponentProps<any>>;
}
export declare class VueAdapter extends DomAdapter<VNode, VNode> {
    private componentRefs;
    private components;
    constructor(components: VueAdapterComponents, mount: ViewMount<VNode, Element>);
    render(rootComponent: Component, injector: Injector): void | (() => void);
    copy(): void;
}
